import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ClaimCreateManyPatientInputObjectSchema as ClaimCreateManyPatientInputObjectSchema } from './ClaimCreateManyPatientInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => ClaimCreateManyPatientInputObjectSchema), z.lazy(() => ClaimCreateManyPatientInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const ClaimCreateManyPatientInputEnvelopeObjectSchema: z.ZodType<Prisma.ClaimCreateManyPatientInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.ClaimCreateManyPatientInputEnvelope>;
export const ClaimCreateManyPatientInputEnvelopeObjectZodSchema = makeSchema();
